curl --request GET \
--url https://api.platform.dakota.xyz/policies/{policy_id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.platform.dakota.xyz/policies/{policy_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/policies/{policy_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/policies/{policy_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "pol_2N4YkKpKu7M3mKpGYmF8kcJ8oZT",
"client_id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
"signer_group_id": "grp_2N4YkKpKu7M3mKpGYmF8kcJ8oZT",
"version": 1,
"name": "High Value Transaction Policy",
"description": "Requires approval for transactions above $10,000",
"rules": [
{
"id": "rule_2N4YkKpKu7M3mKpGYmF8kcJ8oZT",
"policy_id": "pol_2N4YkKpKu7M3mKpGYmF8kcJ8oZT",
"rule_type": "amount_threshold",
"action": "deny",
"definition": {
"min_amount": 10000000000,
"threshold": 2,
"asset": {
"id": "USDC"
}
},
"created_at": 1640995200
}
],
"created_at": 1640995200,
"updated_at": 1640995200
}{
"type": "https://docs.dakota.xyz/api-reference/errors#invalid-request",
"title": "Invalid request",
"status": 400,
"detail": "Invalid request",
"instance": "https://api.platform.dakota.xyz/policies/example-id",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#authentication-error",
"title": "Unauthorized",
"status": 401,
"detail": "Unauthorized",
"instance": "https://api.platform.dakota.xyz/policies/example-id",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Forbidden",
"instance": "https://api.platform.dakota.xyz/policies/example-id",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Policy not found",
"status": 404,
"detail": "Policy not found",
"instance": "https://api.platform.dakota.xyz/policies/example-id",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-implemented",
"title": "Not implemented",
"status": 501,
"detail": "Not implemented",
"instance": "https://api.platform.dakota.xyz/policies/example-id",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#internal-error",
"title": "Unexpected error",
"status": 500,
"detail": "Unexpected error",
"instance": "https://api.platform.dakota.xyz/policies/example-id",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}Get a specific policy
Retrieves a single policy by policy_id.
curl --request GET \
--url https://api.platform.dakota.xyz/policies/{policy_id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.platform.dakota.xyz/policies/{policy_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/policies/{policy_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/policies/{policy_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "pol_2N4YkKpKu7M3mKpGYmF8kcJ8oZT",
"client_id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
"signer_group_id": "grp_2N4YkKpKu7M3mKpGYmF8kcJ8oZT",
"version": 1,
"name": "High Value Transaction Policy",
"description": "Requires approval for transactions above $10,000",
"rules": [
{
"id": "rule_2N4YkKpKu7M3mKpGYmF8kcJ8oZT",
"policy_id": "pol_2N4YkKpKu7M3mKpGYmF8kcJ8oZT",
"rule_type": "amount_threshold",
"action": "deny",
"definition": {
"min_amount": 10000000000,
"threshold": 2,
"asset": {
"id": "USDC"
}
},
"created_at": 1640995200
}
],
"created_at": 1640995200,
"updated_at": 1640995200
}{
"type": "https://docs.dakota.xyz/api-reference/errors#invalid-request",
"title": "Invalid request",
"status": 400,
"detail": "Invalid request",
"instance": "https://api.platform.dakota.xyz/policies/example-id",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#authentication-error",
"title": "Unauthorized",
"status": 401,
"detail": "Unauthorized",
"instance": "https://api.platform.dakota.xyz/policies/example-id",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Forbidden",
"instance": "https://api.platform.dakota.xyz/policies/example-id",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Policy not found",
"status": 404,
"detail": "Policy not found",
"instance": "https://api.platform.dakota.xyz/policies/example-id",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-implemented",
"title": "Not implemented",
"status": 501,
"detail": "Not implemented",
"instance": "https://api.platform.dakota.xyz/policies/example-id",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#internal-error",
"title": "Unexpected error",
"status": 500,
"detail": "Unexpected error",
"instance": "https://api.platform.dakota.xyz/policies/example-id",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}Authorizations
Path Parameters
Unique identifier of the policy
Response
Policy details
Unique identifier for the policy
"pol_2N4YkKpKu7M3mKpGYmF8kcJ8oZT"
Version number of the policy (incremented on rule changes)
1
Human-readable name for the policy
"High Value Transaction Policy"
Unix timestamp when the policy was created
1640995200
Unix timestamp when the policy was last updated
1640995200
KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.
27^[0-9A-Za-z]{27}$"1NFHrqBHb3cTfLVkFSGmHZqdDPi"
ID of the signer group that governs mutations of this policy. Members of this group must endorse any add_policy_rule, update_policy_rule, remove_policy_rule, or delete_policy intent.
"grp_2N4YkKpKu7M3mKpGYmF8kcJ8oZT"
Optional description of the policy's purpose
"Requires approval for transactions above $10,000"
Rules that make up this policy
Show child attributes
Show child attributes
Was this page helpful?

